Folders
Organize subscriptions into folders with full create, read, update, and delete operations.
Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Query Parameters
Number of folders to return
1 <= value <= 10050Number of folders to skip
0 <= value0Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/folders"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "subscription_count": 0, "unread_count": 0, "is_pinned": false, "depth": 0 } ], "pagination": { "total": 0, "limit": 0, "offset": 0, "has_more": true, "next_cursor": "string" }}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST '/v1/folders'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "subscription_count": 0, "unread_count": 0, "is_pinned": false, "depth": 0}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH '/v1/folders'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/folders" \ -H "Content-Type: application/json" \ -d '{ "folder_ids": [ "c9c54c2c-7793-4b70-8b93-7e3771bbc0c0" ] }'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "subscription_count": 0, "unread_count": 0, "is_pinned": false, "depth": 0 }]Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
DELETE '/v1/folders'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/folders" \ -H "Content-Type: application/json" \ -d '{ "folder_ids": [ "c9c54c2c-7793-4b70-8b93-7e3771bbc0c0" ] }'{ "message": "string"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The folder's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "subscription_count": 0, "unread_count": 0, "is_pinned": false, "depth": 0}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The folder's id
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PATCH '/v1/folders/{folder_id}'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "subscription_count": 0, "unread_count": 0, "is_pinned": false, "depth": 0}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The folder's id
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "message": "string"}Authorization
Bearer API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.
In: header
Path Parameters
The folder's id
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PUT '/v1/folders/{folder_id}/subscriptions'.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "is_active": true }'{ "message": "string"}How is this guide?